// File: TableCH.h

#define BLUD_VS_HUMAN		0
#define BLUD_VS_ANIMAL		1
#define BLUD_VS_MONST		2
#define SLAS_VS_HUMAN		3
#define SLAS_VS_ANIMAL		4
#define SLAS_VS_MONST		5
#define PIERC_VS_HUMAN		6
#define PIERC_VS_ANIMAL		7
#define PIERC_VS_MONST		8
#define TOTAL_TABLE			9
#define NOTAVAIL			10

#define LEGS		0
#define ADBOMEN		1
#define TORSO		2
#define ARMS		3
#define HEAD		4

class CTableOfCritical
{
private:
	int m_TableofCritical[3][3];
	int m_TableofLocation[10];
	int m_TableofLocationList[3][10];
	CStdioFile m_File;
	int m_Error;

	void PositionFile(int);
public:
	CTableOfCritical();
	int GetTable(int, int);
	int GetLocation(int);
	int GetLocationDamage(int, int);
	CString GetDamage(int, int, int);
};